Landing Pages
Get Landing Page Domain
Get the custom landing page domain settings
GET
/
api
/
v1
/
landing-pages
/
domain
Get Landing Page Domain
curl --request GET \
--url https://api.sequenzy.com/api/v1/landing-pages/domain \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sequenzy.com/api/v1/landing-pages/domain"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sequenzy.com/api/v1/landing-pages/domain', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"domain": {
"domain": "pages.example.com",
"domainStatus": "verified",
"verifiedAt": "2026-05-01T10:35:00Z",
"dnsRecordAddedAt": "2026-05-01T10:00:00Z",
"sslStatus": "active",
"error": null,
"verificationRecords": [],
"lastCheckedAt": "2026-05-01T10:35:00Z",
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": true,
"domain": {
"domain": null,
"domainStatus": "not_started",
"verifiedAt": null,
"dnsRecordAddedAt": null,
"sslStatus": null,
"error": null,
"verificationRecords": [],
"lastCheckedAt": null,
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": false,
"error": "Unauthorized"
}
Returns the custom domain used for your published landing pages, along with its DNS and SSL status.
The
domain object is always returned. When no custom domain is connected, its domain field is null and domainStatus is not_started.
Request
curl "https://api.sequenzy.com/api/v1/landing-pages/domain" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"domain": {
"domain": "pages.example.com",
"domainStatus": "verified",
"verifiedAt": "2026-05-01T10:35:00Z",
"dnsRecordAddedAt": "2026-05-01T10:00:00Z",
"sslStatus": "active",
"error": null,
"verificationRecords": [],
"lastCheckedAt": "2026-05-01T10:35:00Z",
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": true,
"domain": {
"domain": null,
"domainStatus": "not_started",
"verifiedAt": null,
"dnsRecordAddedAt": null,
"sslStatus": null,
"error": null,
"verificationRecords": [],
"lastCheckedAt": null,
"cnameTarget": "pages.sequenzydns.com"
}
}
{
"success": false,
"error": "Unauthorized"
}
⌘I
Get Landing Page Domain
